regression: canvas decoration (scale bar, north arrow, etc.) elements hidden under docked panels

2016-06-12 06:24 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: Decorations

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22961

Description

Since commit:ef51b70, canvas decoration elements can be hidden under docked panels opened during a QGIS session. It affects both

QGIS' own canvas decorations, as well as plugins (such as TimeManager).

Steps to reproduce

    1. Launch QGIS, make sure the style dock panel is docked, and close it

    2. Add a layer to a new project

    3. Add a scale bar decoration, position it to the bottom right of your canvas

    4. Open the style dock, and note the scale bar gone hidden below the style dock

History

#1 - 2016-06-16 03:05 AM - Mathieu Pellerin - nIRV

- Assignee set to Nathan Woodrow

#2 - 2016-06-16 04:33 AM - Nathan Woodrow

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed by doing a revert on the commit.  Will commit a better change at a later date.

2024-04-25 1/1


